RK-A - Bug #1742

Preventing removal of KPs that are getting removed due to new/latest changes
10/13/2021 06:02 AM - Nandini Bansal

Status: Resolved Start date: 10/13/2021
Priority: Normal Due date:

Assignee: Rohit Choudhary % Done: 100%
Category: Estimated time: 3.00 hours
Target version: P1 Spent time: 0.00 hour
Description

There are cases of KPs which are getting removed (most prominently in Library Reference) due to recent changes. It includes a

variety of KPs like "one-shot (de)compression”, "lexical analysis”, "optional or positional arguments”, etc. We need to make
appropriate changes to make sure that these KPs are not discarded as they are important.

Possible routes of investigation

1) Check generate_candidates function and make tweaks in the list of POS tags

2) Modify the current filters in generate_candidates to make sure these KPs pass through. Change the if condition: "if cand_phQ ==
variation® to "cand_ph? in variation"

Subtasks:
Bug # 1745: Skip all the KPs starting with words within CW 300 Closed

History

#1 - 10/13/2021 07:02 AM - Nandini Bansal
- Estimated time changed from 48.00 h to 3.00 h

#2 - 10/13/2021 07:04 AM - Nandini Bansal

- Description updated

#3 - 10/13/2021 12:28 PM - Rohit Choudhary

- Status changed from New to In Progress

#4 - 10/13/2021 01:21 PM - Rohit Choudhary

- Status changed from In Progress to Resolved

#5 - 10/20/2021 08:53 AM - Nandini Bansal

- Status changed from Resolved to In Progress

#6 - 10/20/2021 08:53 AM - Nandini Bansal

- Status changed from In Progress to Resolved
